Subject: Re: ADS860 - unable to load kernel- Bad magic number

From: Bob Beck <[email-masked]>
Date: 27 Feb 2004 15:32:35 +1400

On Sat, 2004-02-28 at 09:32, Dan Malek wrote:

> Bob Beck wrote:
>
> > Thanks. What is the difference between zImage.embedded and vmlinux.gz
> > generated by the kernel build ?
>
> Huge.  The vmlinux.gz is just the gzipped kernel.  The zImage contains
> the 'bootloader' code that can perform some processor initialization,
> uncompresses the vmlinux.gz, locates it properly in memory, sets initial
> registers, then jumps to the start of the kernel.

Does this mean I should put zImage.embedded into 1 place in memory,
vmlinux.gz into a different place in memory and jump to the start of
zImage.embedded ?

Currently, we are not using U-Boot. We load the binaries into RAM
using a hand rolled program and jump to 0x10000.

Bob
>
> > This is the file used by U-Boot's mkImage command to produce a
> > vmlinux.img file.
>
> If you are building for u-boot, you should 'make uImage' and use
> the uImage that is created.
>
>
> 	-- Dan
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/